For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETList payroll cycles
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsList Cycles

List payroll cycles

GET
/legal-entities/:legal_entity_id/payroll-events
GET
/rest/v2/legal-entities/:legal_entity_id/payroll-events
$curl -G https://api.letsdeel.com/rest/v2/legal-entities/05ae50dc-3540-4f9a-a395-3486d2b81a4d/payroll-events \
> -H "Authorization: Bearer <token>" \
> -d date_start=2021-01-01 \
> -d date_end=2022-01-01 \
> -d limit=20 \
> -d cursor=abcdefghijklmnopqrstuvwx
1{
2 "data": [
3 {
4 "id": "05ae50dc-3540-4f9a-a395-3486d2b81a4d",
5 "type": "REGULAR",
6 "date_end": "2023-01-15T00:00:00.000Z",
7 "date_start": "2023-01-01T00:00:00.000Z",
8 "legal_entity_id": "05ae50dc-3540-4f9a-a395-3486d2b81a4d",
9 "payroll_group_id": "payroll_group_67890"
10 }
11 ],
12 "has_more": true,
13 "items_per_page": 5,
14 "next_cursor": "next_cursor_abcdefg"
15}

Returns a paginated list of payroll events for the specified legal entity, optionally filtered by a date range; date_start must not be earlier than 5 years ago and date_end must not exceed 5 years in the future. Token scopes: legal-entity:read

Was this page helpful?
Previous

Job titles list

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

legal_entity_idstringRequiredformat: "uuid"

The unique identifier (public ID) for the legal entity.

Query parameters

date_startstringOptionalformat: "date"

Start date in the format ‘YYYY-MM-DD’. Must not be earlier than 5 years ago.

date_endstringOptionalformat: "date"

End date in the format ‘YYYY-MM-DD’. Must not exceed 5 years in the future.

limitintegerOptional1-100Defaults to 20
Maximum number of items to return.
cursorstringOptional
Pagination cursor, CUID or UUID format.

Response

Successful operation.
datalist of objects
has_moreboolean
Indicates whether more pages are available.
items_per_pageinteger
The number of items per page.
next_cursorstring or null
Pagination cursor to fetch the next page of results.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/